/* Smiley set for editor, in natural order.
Please try to use similar syntax in your sets, because the parser is quite sensitive.

name - smiley name (for internal use)
code - representation in text
file - representation as image
prio - priority for parsing. 1 is highest, 50 is normal. Usually smilies which may
intersect with other smilies have higher priorities over them.
lang - internationalized tip
*/
var smileSet = [
	{
		name: "smile",
		code: ":)",
		file: "smile.gif",
		prio: 60,
		lang: smileL.smile
	},
	{
		name: "happy",
		code: ":))",
		file: "biggrin.gif",
		prio: 10,
		lang: smileL.happy
	},
	{
		name: "sad",
		code: ":(",
		file: "sad.gif",
		prio: 60,
		lang: smileL.sad
	},
	{
		name: "wink",
		code: ";)",
		file: "wink.gif",
		prio: 50,
		lang: smileL.wink
	},
	{
		name: "grin",
		code: ":D",
		file: "biggrin.gif",
		prio: 50,
		lang: smileL.grin
	},
	{
		name: "surprised",
		code: ":O",
		file: "eek.gif",
		prio: 50,
		lang: smileL.surprised
	},
	{
		name: "exclaim",
		code: ":ex",
		file: "exclaim.gif",
		prio: 50,
		lang: smileL.exclaim
	},
	{
		name: "confused",
		code: ":/",
		file: "confused.gif",
		prio: 50,
		lang: smileL.confused
	},
	{
		name: "razz",
		code: "B)",
		file: "razz.gif",
		prio: 50,
		lang: smileL.razz
	},
	{
		name: "angry",
		code: "X-(",
		file: "redface.gif",
		prio: 50,
		lang: smileL.angry
	},
	{
		name: "rolleyes",
		code: ":-)~",
		file: "rolleyes.gif",
		prio: 50,
		lang: smileL.inlove
	},
	{
		name: "mad",
		code: ":E",
		file: "mad.gif",
		prio: 50,
		lang: smileL.mad
	},
	{
		name: "badidea",
		code: ":-e",
		file: "idea.gif",
		prio: 10,
		lang: smileL.badidea
	},
	{
		name: "arrow",
		code: ":-C",
		file: "arrow.gif",
		prio: 10,
		lang: smileL.arrow
	},
	{
		name: "devil",
		code: ">:)",
		file: "evil.gif",
		prio: 10,
		lang: smileL.devil
	},
	{
		name: "twisted",
		code: ":-o~",
		file: "twisted.gif",
		prio: 30,
		lang: smileL.twisted
	}
];

// Editor dialog display properties
var smileBox = {
	width: 200, // Width in px
	height: 160, // Height in px
	perRow: 4 // Smilies per row
};